#!/bin/sh

#prevent errors in system_log if camera doesnt support audio
AUDIO_CAPABLE_CAMERA=`parhandclient --nolog --nocgi get Properties.Audio.Audio - RAW | tr -d '[:space:]'`
if [ "$AUDIO_CAPABLE_CAMERA" == "yes" ]; then
  AUDIOSOURCE_SUPPORT=`parhandclient get AudioSource.A0.AudioSupport - RAW | tr -d '[:space:]'`
  AUDIOSOURCE_ENCODING=`parhandclient get AudioSource.A0.AudioEncoding - RAW | tr -d '[:space:]'`
  AUDIO_ENABLED=`parhandclient get Audio.A0.Enabled - RAW | tr -d '[:space:]'`
  

  # check invalid audio configuration and fix it
  AUDIOSOURCE_BITRATE=`parhandclient get AudioSource.A0.BitRate - RAW | tr -d '[:space:]'`
  AUDIOSOURCE_SAMPLERATE=`parhandclient get AudioSource.A0.SampleRate - RAW | tr -d '[:space:]'`
else
  AUDIOSOURCE_SUPPORT="no"
  AUDIOSOURCE_ENCODING=""
  AUDIO_ENABLED="no"
fi

if [ "$AUDIOSOURCE_ENCODING" == "aac" ] && [ "$AUDIOSOURCE_BITRATE" -eq "64000" ] && [ "$AUDIOSOURCE_SAMPLERATE" -eq "8000" ]; then
  parhandclient set AudioSource.A0.BitRate 32000
fi

CAMSTREAMER_AUDIOSOURCE=`parhandclient get Netrexcamstreamer.AudioSource - RAW | tr -d '[:space:]'`

echo "Content-Type: text/json"
echo ""
echo "{\"audiosourceSupport\":\"$AUDIOSOURCE_SUPPORT\",\"audiosourceEncoding\":\"$AUDIOSOURCE_ENCODING\",\"audioEnabled\":\"$AUDIO_ENABLED\",\"camstreamerAudioSource\":\"$CAMSTREAMER_AUDIOSOURCE\"}"

